---
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  annotations:
    networkoperator.openshift.io/ignore-errors: ""
  creationTimestamp: "2020-05-26T09:48:46Z"
  generation: 1
  labels:
    prometheus: k8s
    role: alert-rules
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:networkoperator.openshift.io/ignore-errors: {}
        f:labels:
          .: {}
          f:prometheus: {}
          f:role: {}
        f:ownerReferences: {}
      f:spec:
        .: {}
        f:groups: {}
    manager: cluster-network-operator
    operation: Update
    time: "2020-05-26T09:48:46Z"
  name: prometheus-k8s-rules
  namespace: openshift-multus
  ownerReferences:
  - apiVersion: operator.openshift.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: Network
    name: cluster
    uid: 01eb3f97-b2fe-46bc-bfa8-0f197fc5144c
  resourceVersion: "15409"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-multus/prometheusrules/prometheus-k8s-rules
  uid: ce7e9436-06ec-417d-868c-c20001591576
spec:
  groups:
  - name: multus-admission-controller-monitor-service.rules
    rules:
    - expr: |
        max  (network_attachment_definition_enabled_instance_up) by (networks)
      record: cluster:network_attachment_definition_enabled_instance_up:max
    - expr: |
        max  (network_attachment_definition_instances) by (networks)
      record: cluster:network_attachment_definition_instances:max
